@ECHO OFF
SET BIN=D:\MF\BIN;
SET LIB=D:\MF\LIB;
SET INCLUDE=D:\MF\INC;

IF "%1"=="" GOTO FORMEN
SET NAME=%1
IF "%2"=="" GOTO IMPLIC
:BEGIN
IF "%2"=="" GOTO END
IF "%2"=="C" GOTO COMP
IF "%2"=="c" GOTO COMPS
IF "%2"=="CL" GOTO COMP-L
IF "%2"=="cl" GOTO COMPS-L
IF "%2"=="D" GOTO DEBUG
IF "%2"=="d" GOTO DEBUG
IF "%2"=="DL" GOTO DEBUG-L
IF "%2"=="dl" GOTO DEBUG-L
IF "%2"=="L" GOTO LINK
IF "%2"=="l" GOTO LINK
IF "%2"=="G" GOTO GO
IF "%2"=="g" GOTO GO
IF "%2"=="CA" GOTO COMP-X
IF "%2"=="ca" GOTO COMP-X
IF "%2"=="A" GOTO COMP-A
IF "%2"=="a" GOTO COMP-A
ECHO 
ECHO  Lituji, ale neznam pozadovanou funkci "%2";   zkus znovu!
ECHO 
:FORMEN
SETCA
FORMENC
FORTRAN
GOTO END
:DEBUG
ECHO 
ECHO  Preklad programu %NAME% z FORTRANu s pozadavkem na DEBUG
ECHO 
FL /FPc /Zi /Od /4Yb %NAME%.FOR
CV /W %NAME%
IF ERRORLEVEL 1 GOTO ERR
GOTO NEXT
:DEBUG-L
ECHO 
ECHO  Preklad programu %NAME% z FORTRANu s pozadavkem na DEBUG a s vypisem
ECHO 
FL /FPc /c /Zi /Od /4Yb /Fs%NAME%.LST %NAME%.FOR
IF ERRORLEVEL 1 GOTO ERRLIST
CV /W %NAME%
GOTO NEXTLIST
:COMP-L
ECHO 
ECHO  Preklad programu  %NAME%  bez optimalizace a s vypisem
ECHO 
FL /FPc /c /Od /Fs%NAME%.LST %NAME%.FOR
IF ERRORLEVEL 1 GOTO ERRLIST
GOTO NEXTLIST
:COMP
ECHO 
ECHO  Preklad programu  %NAME%  bez optimalizace delky kodu
ECHO 
FL /FPc /AH /Od /4Yb /c %NAME%.FOR
IF ERRORLEVEL 1 GOTO ERR
GOTO NEXT
:COMPS
ECHO 
ECHO  Preklad programu  %NAME%  s optimalizaci delky kodu
ECHO 
FL /FPc /Os /AH /c %NAME%.FOR
IF ERRORLEVEL 1 GOTO ERR
GOTO NEXT
:COMPS-L
ECHO 
ECHO  Preklad programu  %NAME%  s optimalizaci delky kodu a s vypisem
ECHO 
FL /FPc /Os /AH /c /Fs%NAME%.LST %NAME%.FOR
IF ERRORLEVEL 1 GOTO ERRLIST
GOTO NEXTLIST
:LINK
ECHO 
ECHO  Sestaveni modulu  %NAME%.OBJ  a knihoven
ECHO 
d:\mf\bin\LINK %NAME%,,NUL,MINIMA+MAXIMA+MINISSP+GRAPHICS+GMF /SE:512 /E;
IF ERRORLEVEL 1 GOTO ERR
GOTO NEXT
:GO
ECHO 
ECHO  Start zpracovani  "%NAME%"
ECHO 
IF EXIST %NAME%.EXE %NAME%
ECHO 
ECHO  Konec zpracovani  "%NAME%"
ECHO 
GOTO NEXT
:NEXTLIST
IF EXIST %NAME%.LST QTYPE %NAME%.LST
:NEXT
ECHO .
SHIFT
GOTO BEGIN
:ERRLIST
IF EXIST %NAME%.LST QTYPE %NAME%.LST
:ERR
ECHO 
ECHO  Lituji, ale pri prekladu nebo sestaveni %NAME%  bohuzel byly chyby.
ECHO 
ECHO .
GOTO END
:IMPLIC
ECHO 
ECHO   Nyni mohou nasledovat tyto eventuality:                               
ECHO                                                                         
ECHO   Zpracovani programu s implicitnimi parametry  CL L G ............ I   
ECHO   Zobrazeni strucneho navodu k pouzivani prikazu FTN .............. N   
ECHO   Vystup do prostredi operacniho systemu MSDOS .................... Q   
ECHO                                                                         
ECHO   ( Stiskni   I, N  nebo  Q )                                           
ECHO 
RESPOND INQ
IF ERRORLEVEL 3 GOTO END
IF ERRORLEVEL 2 GOTO HELP
ECHO 
ECHO   Zpracovani programu  %NAME%  s implicitnimi parametry  CL L G
ECHO 
ECHO .
ECHO 
ECHO  Preklad programu  %NAME%  bez optimalizace a s vypisem
ECHO 
FL /FPc /c /Od /Fs%NAME%.LST %NAME%.FOR
IF ERRORLEVEL 1 GOTO ERRLIST
ECHO 
ECHO  Sestaveni modulu  %NAME%.OBJ  a knihoven
ECHO 
d:\mf\bin\LINK %NAME%,,NUL,MINIMA+MAXIMA+MINISSP+GRAPHICS+GMF /SE:512 /E;
IF ERRORLEVEL 1 GOTO ERR
ECHO 
ECHO  Start zpracovani  "%NAME%"
ECHO 
IF EXIST %NAME%.EXE %NAME%
ECHO 
ECHO  Konec zpracovani  "%NAME%"
ECHO 
GOTO END
:HELP
ECHO 
ECHO                                                                         
ECHO   Prejes si zobrazit strucny navod k pouzivani davkoveho prikazu FTN ?  
ECHO                                                                         
ECHO   (Stiskni   A - ano,   N - ne)                                         
ECHO 
RESPOND AN
IF ERRORLEVEL 2 GOTO END
STYPE D:\MF\FOR.TXT
:END
SET BIN=
SET LIB=
SET INCLUDE=
SET NAME=
